Laravel 8 (imagen destacada)

Tiro monedas al aire, pero hasta ahora nunca las pude agarrar.

El 3 de marzo de 2021 terminó el soporte de seguridad de la versión 7 de Laravel. Debemos de actualizar a la versión 8 para tener los últimos parches de seguridad del framework. El soporte de seguridad de Laravel 8 es hasta el 6 de Septiembre de 2022.

Soporte Laravel versiones
Soporte Laravel versiones

Actualizar Laravel 7 a la versión 8:

  1. Primero que nada, ejecutamos
    composer update

    Cambiamos las versiones de los paquetes que nos indica en la terminal.

  2.  Se requiere PHP 7.3 como mínimo. En mi caso ya utilizo la versión 7.4
  3.  Actualizar las dependencias del archivo composer.json:
    •  guzzlehttp/guzzle a 7.2.0
    •  facade/ignition a 2.5.9
    •  laravel/framework to v8.9.0
    •  laravel/ui to ^3.0
    •  nunomaduro/collision to v5.3.0
    •  phpunit/phpunit to 9.5.x-dev
  4.  Actualizar el instalador de Laravel. Tecleamos en la terminal:
    composer global require "laravel/installer:^4.0"
  5.  Si utilizas paquetes de terceros, no te olvides de actualizarlos.
  6. Ingresar a este link y hacer los cambios correspondientes según tu aplicación.
  7. Ahora probamos nuestra aplicación de forma manual o mediante nuestros test automáticos,

Fuente: Sitio oficial de Laravel

Comments

comments


Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *